
package CMPS212.Spring2013.Bdeir.Assignment1.Common;

/*Ghassan Fakher
 * section 4
 gkf01@aub.edu.lb*/

//this class inherits from the PhysicalAddress class written previously
public class Person extends PhysicalAddress{
	private String name;
	private String PhoneNumber;
	private String EmailAddress;
	private PhysicalAddress Address;
	
	public Person(String newName)
	{
		super();
		name = newName;
	}
	public Person(String newName, String newStreet, String newCity,String newKada)
	{
		super(newStreet, newCity, newKada);
		name = newName;
	}
	//constructor
	public Person(String newName, String newStreet, String newCity,String newKada, String phoneNumber)
	{
		super(newStreet, newCity, newKada);
		name = newName;
		PhoneNumber = phoneNumber;
	}
	//getter
	public String getName()
	{
		return name;
	}
	public void setName(String newName)
	{
		name = newName;
	}
	public String getPhoneNumber()
	{
		return PhoneNumber;
	}
	public void setPhoneNumber(String newPhoneNumber)
	{
		boolean validNumber = false;
		while(!validNumber)
		{	
			int number = Integer.parseInt(newPhoneNumber);
			String ext = number % 100000000 / 1000000 + "";
			if(newPhoneNumber.length() > 8)
			{
				validNumber = false;
				throw new IllegalArgumentException("Invalid Phone Number < must be Lebanese >");				
			}
			else
			{
				if(ext.equals("05") || ext.equals("06") || ext.equals("03") || ext.equals("04") || ext.equals("06") 
						|| ext.equals("07") || ext.equals("70") || ext.equals("71")|| ext.equals("76"))
				{
					validNumber = true;
					PhoneNumber = newPhoneNumber;
					
				}
				else
				{
					validNumber = false;
					throw new IllegalArgumentException("Invalid Phone Number < must be Lebanese >");
				}	
			}
		}	
	}
	public String getEmailAddress()
	{
		return EmailAddress;
	}
	public void setEmailAddress(String newEmailAddress)
	{
		boolean valid = false;
		while(!valid)
		{
			if(newEmailAddress.contains("@aub.edu.lb"))
			{
				valid = true;
				EmailAddress = newEmailAddress;
			}
			else
			{
				valid = false;
				throw new IllegalArgumentException("The email must be an AUB email(ending with @aub.edu.lb)");
			}
		}	
	}
	public PhysicalAddress getAddress()
	{
		return Address;
	}
	public void setAddress(PhysicalAddress newAddress)
	{
		Address = newAddress;
	}
	
}

