/*Ghassan Fakher
 * section 4
 gkf01@aub.edu.lb*/
public class PhysicalAddress {
	
	private String Street;
	private String City;
	private String Kada;
	private AddressTypeEnum AddressType;
	
	/*The No Argument Constructor
	 * 
	 */
	public PhysicalAddress()	//Had to make a no-argument constructor to make the Person constructor work
	{
		Street = "TBA";
		City = "TBA";
		Kada = "TBA";
		AddressType = AddressTypeEnum.Home;
	}
	/*Consstructor
	 *@param the name of the street, city and kada 
	 */
	public PhysicalAddress(String newStreet, String newCity,String newKada)
	{
		if(newStreet.isEmpty() || newCity.isEmpty() || newKada.isEmpty() || newStreet.contains("") || newKada.contains("") || newCity.contains(""))
		{
			throw new IllegalArgumentException("The names must not be empty");
		}
		else
		{	
			Street = newStreet;
			City =  newCity;
			Kada = newKada;
			this.AddressType = AddressTypeEnum.Home;
		}	
	}
	/*overwriten constructor
	 * similar to the previous constructor but takes an extra parameter; the address type 
	 @param String the names of the street, City and kada in addition to the address type*/
	
	public PhysicalAddress(String newStreet, String newCity, String newKada, AddressTypeEnum addressType)
	{
		if(newStreet.isEmpty() || newCity.isEmpty() || newKada.isEmpty() || newStreet.contains("") || newKada.contains("") || newCity.contains(""))
		{
			throw new IllegalArgumentException("The names must not be empty");
		}
		else
		{	
			Street = newStreet;
			City =  newCity;
			Kada = newKada;
			this.AddressType = addressType;
		}	
	}
	/*a getter method
	 * @return String the name of the street
	 */
	public String getStreet()
	{
		return Street;
	}
	/*a setter method
	 * @param String the name of the street to be assigned to the field Street
	 ATTENTION: THE STRING MUST NOT BE EMPTY*/
	public void setStreet(String newStreet)
	{
		if(newStreet.isEmpty() ||newStreet.startsWith(""))
		{
			throw new IllegalArgumentException("The names must not be empty");
		}
		else
			Street = newStreet;
	}
	/*A GETTER METHOD
	 * @return String representing the city
	 */
	public String getCity()
	{
		return City;
	}
	/*setter method
	 * @param String representing the name of the city
	 THE STRING MUST NOT BE EMPTY*/
	public void setCity(String newCity)
	{
		if(newCity.isEmpty() || newCity.startsWith(" "))
		{
			throw new IllegalArgumentException("The names must not be empty");
		}
		else
			City = newCity;
	}
	public String getKada()
	{
		return Kada;
	}
	public void setKada(String newKada)
	{
		if(newKada.isEmpty() || newKada.startsWith(" "))
		{
			throw new IllegalArgumentException("The names must not be empty");
		}
		else
			Kada = this.Kada;
	}
	public AddressTypeEnum getAddressType()
	{
		return AddressType;
	}
	public void setAddressType(AddressTypeEnum newAddressType)
	{
		AddressType = newAddressType;	
	}
	
}	
